---
title: std::hash< std::pair< llarp::RouterID, llarp::PathID_t > >

---

# std::hash< std::pair< llarp::RouterID, llarp::PathID_t > >





## Public Functions

|                | Name           |
| -------------- | -------------- |
| size_t | **[operator()](Classes/structstd_1_1hash_3_01std_1_1pair_3_01llarp_1_1RouterID_00_01llarp_1_1PathID__t_01_4_01_4.md#function-operator())**(const std::pair< [llarp::RouterID](Classes/structllarp_1_1RouterID.md), [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) > & i) const |

## Public Functions Documentation

### function operator()

```cpp
inline size_t operator()(
    const std::pair< llarp::RouterID, llarp::PathID_t > & i
) const
```


-------------------------------

Updated on 2022-09-19 at 17:18:32 +0000